Bug 220609 - security/logcheck: Update to 1.3.18
Summary: security/logcheck: Update to 1.3.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthew Seaman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-10 18:30 UTC by Yasuhiro Kimura
Modified: 2017-07-30 15:48 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
updated patch file (24.26 KB, patch)
2017-07-10 18:30 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details | Diff
updated patch file (25.60 KB, patch)
2017-07-11 10:42 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details | Diff
updated patch file (36.72 KB, patch)
2017-07-11 18:50 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details | Diff
poudriere log file (28.87 KB, text/plain)
2017-07-12 06:22 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2017-07-10 18:30:45 UTC
Created attachment 184238 [details]
updated patch file

* Update to 1.3.18.
* Process to fix paths in script and configuration files are simplified.
* Now man page of logcheck is generated from DocBook SGML source file by using textproc/docbook-to-man.
* Sort pkg-plist.
Comment 1 Yasuhiro Kimura freebsd_committer 2017-07-11 10:42:19 UTC
Created attachment 184253 [details]
updated patch file

* Add forgotten files/patch-etc_logcheck.logfiles.
* Update files/patch-etc_logcheck.conf
* Move backup file cleaning up from post-patch to do-build so 'make makepatch' works as expected.

Please commit attached patch instead of original one.

Regards.
Comment 2 Yasuhiro Kimura freebsd_committer 2017-07-11 18:50:40 UTC
Created attachment 184281 [details]
updated patch file

* Install logcheck-test and its man page.
* Fix paths in README.*.
* Stop installing LICENSE file into DOCSDIR.
* Add LICENSE_FILES in Makefile

So please commit attached patch instead of previous ones.

Regards.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-12 03:19:12 UTC
Thank you Yasuhiro. 

Please confirm these changes pass QA, portlint and poudriere in particular.

For more information and instructions on testing see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 4 Yasuhiro Kimura freebsd_committer 2017-07-12 06:22:10 UTC
Created attachment 184295 [details]
poudriere log file

(In reply to Kubilay Kocak from comment #3)

Log file of poudriere is attached, and result of portlint check is as following:

yasu@eastasia[2082]% pwd
/usr/ports/security/logcheck
yasu@eastasia[2083]% portlint -A
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.
yasu@eastasia[2084]%
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-12 07:34:21 UTC
(In reply to Yasuhiro KIMURA from comment #4)

Thank you
Comment 6 Matthew Seaman freebsd_committer 2017-07-30 15:48:21 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2017-07-30 15:48:27 UTC
A commit references this bug:

Author: matthew
Date: Sun Jul 30 15:48:01 UTC 2017
New revision: 446938
URL: https://svnweb.freebsd.org/changeset/ports/446938

Log:
  * Update to 1.3.18.
  * Process to fix paths in script and configuration files are simplified.
  * Now man page of logcheck is generated from DocBook SGML source file by using textproc/docbook-to-man.
  * Sort pkg-plist.
  * Add forgotten files/patch-etc_logcheck.logfiles.
  * Update files/patch-etc_logcheck.conf
  * Move backup file cleaning up from post-patch to do-build so 'make makepatch' works as expected.

  PR:		220609
  Submitted by:	yasu@utahime.org (maintainer)

Changes:
  head/security/logcheck/Makefile
  head/security/logcheck/distinfo
  head/security/logcheck/files/extra-patch-debian__logcheck.cron.d.in
  head/security/logcheck/files/extra-patch-docs__logcheck.8.in
  head/security/logcheck/files/extra-patch-etc__logcheck.conf.in
  head/security/logcheck/files/extra-patch-src__logcheck.in
  head/security/logcheck/files/extra-patch-src__logtail2.in
  head/security/logcheck/files/patch-debian_logcheck.cron.d
  head/security/logcheck/files/patch-docs_README.logcheck
  head/security/logcheck/files/patch-docs_README.logcheck-database
  head/security/logcheck/files/patch-docs_README.logtail
  head/security/logcheck/files/patch-docs_logcheck-test.1
  head/security/logcheck/files/patch-docs_logcheck.sgml
  head/security/logcheck/files/patch-docs_logtail2.8
  head/security/logcheck/files/patch-etc_logcheck.conf
  head/security/logcheck/files/patch-etc_logcheck.logfiles
  head/security/logcheck/files/patch-rulefiles__linux__ignore.d.server__ssh
  head/security/logcheck/files/patch-src_logcheck
  head/security/logcheck/files/patch-src_logcheck-test
  head/security/logcheck/files/patch-src_logtail2
  head/security/logcheck/pkg-plist